#
# spec file for package python-txaio
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-txaio
Version:        18.8.1
Release:        bp155.2.14
Summary:        WebSocket and WAMP in Python for Twisted and asyncio
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/crossbario/txaio
Source:         https://files.pythonhosted.org/packages/source/t/txaio/txaio-%{version}.tar.gz
Patch0:         pytest4.patch
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  python2-devel
BuildRequires:  python3-testsuite
Requires:       python-six
Recommends:     python-Twisted >= 12.1.0
Recommends:     python-zope.interface >= 3.6
BuildArch:      noarch
%ifpython2
Requires:       python-future
Recommends:     python-trollius
%endif
# SECTION test requirements
BuildRequires:  %{python_module Twisted >= 12.1.0}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module six}
# /SECTION
%python_subpackages

%description
WebSocket allows bidirectional real-time messaging on the Web and WAMP adds
asynchronous Remote Procedure Calls and Publish & Subscribe on top of WebSocket.

%prep
%setup -q -n txaio-%{version}
%autopatch -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest -k 'not test_sdist'

%files %{python_files}
%license LICENSE
%{python_sitelib}/*

%changelog
* Fri Sep 13 2019 Tomáš Chvátal <tchvatal@suse.com>
- Add patch to build with newer pytest releases:
  * pytest4.patch
* Thu Sep  5 2019 Todd R <toddrme2178@gmail.com>
- Set pytest maximum version.
* Tue Mar 19 2019 John Vandenberg <jayvdb@gmail.com>
- Fix invocation of test suite, previously silently not running
- Add missing runtime dependencies
- Update to v18.8.1
  * add API to support cancellation; this means passing a 1-argument
    callable to ``create_future`` and ``txaio.cancel`` to actually
    cancel a future
  * support Python 3.7 (CI / testing added)
- from v18.7.1
  * move to calver
  * deprecate Python 3.3 support and CI testing
- from v2.10.0
  * the asyncio version of ``make_logger`` now deduces a proper
    namespace instead of using the root
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Fri Mar  2 2018 avvissu@yandex.by
- Initial package
